package com.uoc.christian.bttroute.DetalleRutaGrabada;

import android.content.Context;

import dataUtils.DatosRuta;

import org.osmdroid.util.GeoPoint;

import java.util.List;

/**
 * Created by christian on 1/11/17.
 */

public interface DetalleRutaGrabadaPresenter {
    void onCreate(DetalleRutaGrabadaView detalleRutaGrabadaView, DatosRuta datosRuta, Context context);
    void onDestroy();
    String getDistancia();
    String getTiempo();
    String getDesnivelPositivo();
    String getDesnivelNegativo();
    String getDesnivelAcumulado();
    String getDifFisica();
    String getDifTecnica();
    String getTipoRuta();
    String getObservaciones();
    String getVelocidadMaxima();
    String getVelocidadMedia();
    String getTitulo();
    List<GeoPoint> decodeGeopoints(String geoPointsCodificados);
}
