package com.uoc.christian.bttroute.FiltrosBusqueda;

import android.content.Context;

import com.example.christian.myapplication.backend.dificultadFisicaApi.model.DificultadFisica;
import com.example.christian.myapplication.backend.dificultadTecnicaApi.model.DificultadTecnica;
import com.example.christian.myapplication.backend.tipoRutaApi.model.TipoRuta;

import java.util.List;

/**
 * Created by Christian on 18/10/2017.
 */

public interface FiltrosBusquedaPresenter {
    void onCreate(FiltrosBusquedaView filtrosBusquedaView, Context context);
    void onDestroy();
    List<DificultadFisica> getListaDifFisica();
    List<DificultadTecnica> getListaDifTecnica();
    List<TipoRuta> getListaTipoRuta();
    String getDistancia();
    String getLugar();
    Integer getDifFisica();
    Integer getDifTecnica();
    Integer getTipoRuta();
}
