package com.uoc.christian.bttroute.GuardarRuta;

import android.content.Context;

import com.example.christian.myapplication.backend.dificultadFisicaApi.model.DificultadFisica;
import com.example.christian.myapplication.backend.dificultadTecnicaApi.model.DificultadTecnica;
import com.example.christian.myapplication.backend.inicioRutasApi.model.InicioRutas;
import com.example.christian.myapplication.backend.tipoRutaApi.model.TipoRuta;

import org.osmdroid.util.GeoPoint;

import java.util.List;

/**
 * Created by christian on 23/10/17.
 */

public interface GuardarRutaPresenter {
    void onCreate(GuardarRutaView guardarRutaView, Context context);
    void onDestroy();
    String obtenerUUID();
    boolean comprobarCampos(String titulo);
    List<DificultadFisica> getListaDifFisica();
    List<DificultadTecnica> getListaDifTecnica();
    List<TipoRuta> getListaTipoRuta();
    boolean comprobarConexion();
}
