package com.uoc.christian.bttroute.Login;

import android.content.Context;

import com.uoc.christian.bttroute.R;

import java.net.MalformedURLException;

import dataUtils.CheckConexionInternet;

/**
 * Created by christian on 6/10/17.
 */

public class LoginPresenterImplement implements LoginPresenter {

    LoginView loginView;
    Context context;
    Boolean tenemosConexion=false;

    public LoginPresenterImplement(LoginView loginView, Context context){
        this.loginView = loginView;
        this.context = context;
    }

    @Override
    public void onCreate(LoginView loginView, Context context) {
        this.loginView = loginView;
        this.context = context;
    }

    @Override
    public void onDestroy() {
        loginView = null;
    }

    @Override
    public Boolean comprobarDatos(String usuario, String password) {
        if(usuario.isEmpty() || password.isEmpty()){
            loginView.mostrarToastError(context.getResources().getString(R.string.login_faltaUsuarioPassword));
        } else {
            return true;
        }
        return false;
    }

    @Override
    public Boolean comprobarConexion() {

        try {
            tenemosConexion = CheckConexionInternet.tenemosConexion(context);
        } catch (MalformedURLException e) {
            e.printStackTrace();
        }

        return tenemosConexion;
    }
}
