package dataUtils;

import android.os.Parcelable;

import org.osmdroid.util.GeoPoint;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by christian on 1/11/17.
 */

public class DatosRuta implements Serializable {

    private Long idUsuario;
    private String tituloRuta;
    private String observaciones;
    private Integer idDificultadTecnica;
    private Integer idDificultadFisica;
    private String tiempo;
    private float distancia;
    private Integer desnivelPositivo;
    private float velocidadMedia;
    private float velocidadMaxima;
    private Integer idTipoRuta;
    private Boolean compartida;
    private String idRuta;
    private String geoPointsCodificados;
    private String idRutaOrigen;
    private Integer desnivelNegativo;
    private Integer desnivelAcumulado;
    private String UsuarioFacebook;

    public DatosRuta(){}

    public void setIdUsuario(Long idUsuario) {
        this.idUsuario = idUsuario;
    }

    public void setCompartida(Boolean compartida){this.compartida = compartida;}

    public void setTituloRuta(String tituloRuta) {
        this.tituloRuta = tituloRuta;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public void setIdDificultadTecnica(Integer idDificultadTecnica) {
        this.idDificultadTecnica = idDificultadTecnica;
    }

    public void setIdDificultadFisica(Integer idDificultadFisica) {
        this.idDificultadFisica = idDificultadFisica;
    }

    public void setTiempo(String tiempo) {
        this.tiempo = tiempo;
    }

    public void setDistancia(float distancia) {
        this.distancia = distancia;
    }

    public void setDesnivelPositivo(Integer desnivelPositivo) {
        this.desnivelPositivo = desnivelPositivo;
    }

    public void setVelocidadMedia(float velocidadMedia) {
        this.velocidadMedia = velocidadMedia;
    }

    public void setVelocidadMaxima(float velocidadMaxima) {
        this.velocidadMaxima = velocidadMaxima;
    }

    public void setIdTipoRuta(Integer idTipoRuta) {
        this.idTipoRuta = idTipoRuta;
    }


    public void setIdRuta(String id){this.idRuta = id;}

    public void setGeoPointsCodificados(String geoPointsCodificados) {
        this.geoPointsCodificados = geoPointsCodificados;
    }

    public void setIdRutaOrigen(String idRutaOrigen) {
        this.idRutaOrigen = idRutaOrigen;
    }

    public void setDesnivelNegativo(Integer desnivelNegativo) {
        this.desnivelNegativo = desnivelNegativo;
    }

    public void setDesnivelAcumulado(Integer desnivelAcumulado) {
        this.desnivelAcumulado = desnivelAcumulado;
    }

    public void setUsuarioFacebook(String usuarioFacebook) {
        UsuarioFacebook = usuarioFacebook;
    }

    public String getTituloRuta() {
        return tituloRuta;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public Integer getIdDificultadTecnica() {
        return idDificultadTecnica;
    }

    public Integer getIdDificultadFisica() {
        return idDificultadFisica;
    }

    public String getTiempo() {
        return tiempo;
    }

    public float getDistancia() {
        return distancia;
    }

    public Integer getDesnivelPositivo() {
        return desnivelPositivo;
    }

    public float getVelocidadMedia() {
        return velocidadMedia;
    }

    public float getVelocidadMaxima() {
        return velocidadMaxima;
    }

    public Integer getIdTipoRuta() {
        return idTipoRuta;
    }

    public Boolean getCompartida() {return compartida;}

    public String getIdRuta(){return idRuta;}

    public String getGeoPointsCodificados() {
        return geoPointsCodificados;
    }

    public Long getIdUsuario() {
        return idUsuario;
    }

    public String getIdRutaOrigen() {
        return idRutaOrigen;
    }

    public Integer getDesnivelNegativo() {
        return desnivelNegativo;
    }

    public Integer getDesnivelAcumulado() {
        return desnivelAcumulado;
    }

    public String getUsuarioFacebook() {
        return UsuarioFacebook;
    }
}
