package com.example.christian.myapplication.backend;

import com.google.api.server.spi.config.Api;
import com.google.api.server.spi.config.ApiMethod;
import com.google.api.server.spi.config.ApiNamespace;
import com.googlecode.objectify.ObjectifyService;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;


/**
 * WARNING: This generated code is intended as a sample or starting point for using a
 * Google Cloud Endpoints RESTful API with an Objectify entity. It provides no data access
 * restrictions and no data validation.
 * <p>
 * DO NOT deploy this code unchanged as part of a real application to real users.
 */
@Api(
        name = "dificultadFisicaApi",
        version = "v1",
        resource = "dificultadFisica",
        namespace = @ApiNamespace(
                ownerDomain = "backend.myapplication.christian.example.com",
                ownerName = "backend.myapplication.christian.example.com",
                packagePath = ""
        )
)
public class DificultadFisicaEndpoint {

    private static final Logger logger = Logger.getLogger(DificultadFisicaEndpoint.class.getName());

    private static final int DEFAULT_LIST_LIMIT = 20;

    static {
        // Typically you would register this inside an OfyServive wrapper. See: https://code.google.com/p/objectify-appengine/wiki/BestPractices
        ObjectifyService.register(DificultadFisica.class);
    }

    /**
     * List all entities.
     *
     * @return a response that encapsulates the result list and the next page token/cursor
     */
    @ApiMethod(
            name = "list",
            path = "dificultadFisica",
            httpMethod = ApiMethod.HttpMethod.GET)
    public List<DificultadFisica> list() {
        List<DificultadFisica> lista = new ArrayList<>(DEFAULT_LIST_LIMIT);
        Connection connection = null;

        try {
            Class.forName(Conexion.driver);
            connection = DriverManager.getConnection(Conexion.url, Conexion.user, Conexion.password);
            String query = "SELECT * FROM DificultadFisica";
            java.sql.ResultSet rs = connection.createStatement().executeQuery(query);

            if(rs!=null){
                while(rs.next()){
                    DificultadFisica dificultadFisica = new DificultadFisica();
                    dificultadFisica.setId(rs.getLong("Id"));
                    dificultadFisica.setDescripcion(rs.getString("Descripcion"));
                    lista.add(dificultadFisica);
                }
            }
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            if(connection != null){
                try {
                    connection.close();
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }
        }

        return lista;
    }
}