package com.example.christian.myapplication.backend;

import com.googlecode.objectify.annotation.Entity;
import com.googlecode.objectify.annotation.Id;

import java.util.Date;

/**
 * Created by christian on 24/10/17.
 */
@Entity
public class Ruta {
    @Id
    String Id;
    String TituloRuta;
    Long IdUsuario;
    Boolean Compartida;
    String UsuarioFacebook;
    String Observaciones;
    Integer IdDificultadTecnica;
    Integer IdDificultadFisica;
    String Tiempo;
    Float Distancia;
    Integer DesnivelPositivo;
    Float VelocidadMedia;
    Float VelocidadMaxima;
    Integer IdTipoRuta;
    String GeoPointsCodificados;
    String IdRutaOriginal;
    Integer DesnivelNegativo;
    Integer DesnivelAcumulado;

    public Ruta(){}

    public void setId(String id) {
        Id = id;
    }

    public void setTituloRuta(String tituloRuta) {
        TituloRuta = tituloRuta;
    }

    public void setIdUsuario(Long idUsuario) {
        IdUsuario = idUsuario;
    }

    public void setCompartida(Boolean compartida) {
        Compartida = compartida;
    }

    public void setUsuarioFacebook(String usuarioFacebook) {
        UsuarioFacebook = usuarioFacebook;
    }

    public void setObservaciones(String observaciones) {
        Observaciones = observaciones;
    }

    public void setIdDificultadTecnica(Integer idDificultadTecnica) {
        IdDificultadTecnica = idDificultadTecnica;
    }

    public void setIdDificultadFisica(Integer idDificultadFisica) {
        IdDificultadFisica = idDificultadFisica;
    }

    public void setTiempo(String tiempo) {
        Tiempo = tiempo;
    }

    public void setDistancia(Float distancia) {
        Distancia = distancia;
    }

    public void setDesnivelPositivo(Integer desnivelPositivo) {
        DesnivelPositivo = desnivelPositivo;
    }

    public void setVelocidadMedia(Float velocidadMedia) {
        VelocidadMedia = velocidadMedia;
    }

    public void setVelocidadMaxima(Float velocidadMaxima) {
        VelocidadMaxima = velocidadMaxima;
    }

    public void setIdTipoRuta(Integer idTipoRuta) {
        IdTipoRuta = idTipoRuta;
    }

    public void setGeoPointsCodificados(String geoPointsCodificados) {
        GeoPointsCodificados = geoPointsCodificados;
    }

    public void setIdRutaOriginal(String idRutaOriginal) {
        IdRutaOriginal = idRutaOriginal;
    }

    public void setDesnivelNegativo(Integer desnivelNegativo) {
        DesnivelNegativo = desnivelNegativo;
    }

    public void setDesnivelAcumulado(Integer desnivelAcumulado) {
        DesnivelAcumulado = desnivelAcumulado;
    }

    public String getId() {
        return Id;
    }

    public String getTituloRuta() {
        return TituloRuta;
    }

    public Long getIdUsuario() {
        return IdUsuario;
    }

    public Boolean getCompartida() {
        return Compartida;
    }

    public String getUsuarioFacebook() {
        return UsuarioFacebook;
    }

    public String getObservaciones() {
        return Observaciones;
    }

    public Integer getIdDificultadTecnica() {
        return IdDificultadTecnica;
    }

    public Integer getIdDificultadFisica() {
        return IdDificultadFisica;
    }

    public String getTiempo() {
        return Tiempo;
    }

    public Float getDistancia() {
        return Distancia;
    }

    public Integer getDesnivelPositivo() {
        return DesnivelPositivo;
    }

    public Float getVelocidadMedia() {
        return VelocidadMedia;
    }

    public Float getVelocidadMaxima() {
        return VelocidadMaxima;
    }

    public Integer getIdTipoRuta() {
        return IdTipoRuta;
    }

    public String getGeoPointsCodificados() {
        return GeoPointsCodificados;
    }

    public String getIdRutaOriginal() {
        return IdRutaOriginal;
    }

    public Integer getDesnivelNegativo() {
        return DesnivelNegativo;
    }

    public Integer getDesnivelAcumulado() {
        return DesnivelAcumulado;
    }
}
