package com.uoc.christian.bttroute.DetalleRutaServidor;

import dataUtils.DatosRuta;

import org.osmdroid.util.GeoPoint;

import java.util.List;

/**
 * Created by christian on 1/11/17.
 */

public interface DetalleRutaServidorPresenter {
    void onCreate(DatosRuta datosRuta);
    void onDestroy();
    String getTituloRuta();
    String getDistancia();
    String getTiempo();
    String getDesnivelPositivo();
    String getDesnivelNegativo();
    String getDesnivelAcumulado();
    String getDifFisica();
    String getDifTecnica();
    String getTipoRuta();
    String getObservaciones();
    String getGeoPointsCodificados();
    List<GeoPoint> decodeGeopoints(String geoPointsCodificados);
    GeoPoint getGeoPointInicial(String geoPointsCodificados);
}
