package com.uoc.christian.bttroute.MapaAmpliado;

import com.google.android.gms.maps.model.LatLng;
import dataUtils.PolyUtil;

import org.osmdroid.util.GeoPoint;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by christian on 7/11/17.
 */

public class MapaAmpliadoPresenterImplement implements MapaAmpliadoPresenter {

    List<GeoPoint> lista = new ArrayList<>();

    public MapaAmpliadoPresenterImplement(){}

    @Override
    public List<GeoPoint> decodeGeopoints(String geoPointsCodificados) {
        if(!geoPointsCodificados.isEmpty()){
            List<LatLng> listaAux = PolyUtil.decode(geoPointsCodificados);

            for(int i=0;i<listaAux.size();i++){
                GeoPoint geoPoint = new GeoPoint(listaAux.get(i).latitude, listaAux.get(i).longitude);
                lista.add(geoPoint);
            }

        }
        return lista;
    }
}
