package com.uoc.christian.bttroute.MisRutas;

import android.content.Context;

import com.example.christian.myapplication.backend.rutaApi.model.Ruta;

import dataUtils.ListasRutas;

import java.net.MalformedURLException;
import java.util.ArrayList;
import java.util.List;

import dataUtils.CheckConexionInternet;

/**
 * Created by christian on 31/10/17.
 */

public class MisRutasPresenterImplement implements MisRutasPresenter {

    private Context context;
    private boolean tenemosConexion;

    public MisRutasPresenterImplement(Context context){
        this.context = context;
        onCreate(context);
    }

    @Override
    public void onCreate(Context context) {
        this.context = context;
    }

    @Override
    public void onDestroy() {
        context = null;
    }

    @Override
    public boolean comprobarConexion() {
        try {
            tenemosConexion = CheckConexionInternet.tenemosConexion(context);
        } catch (MalformedURLException e) {
            e.printStackTrace();
        }

        return tenemosConexion;
    }

    @Override
    public void setListaMisRutas(List<Ruta> rutas) {
        if(ListasRutas.listaMisRutas == null){
            ListasRutas.listaMisRutas = new ArrayList<>();
        }
        ListasRutas.listaMisRutas.addAll(rutas);
    }

    @Override
    public List<Ruta> getListaMisRutas() {
        return ListasRutas.listaMisRutas;
    }

}
