package com.uoc.christian.bttroute.RecordarPassword;

import android.content.Context;

import java.net.MalformedURLException;
import java.util.Random;

import dataUtils.CheckConexionInternet;

/**
 * Created by christian on 7/10/17.
 */

public class RecordarPasswordPresenterImplement implements RecordarPasswordPresenter {

    RecordarPasswordView recordarPasswordView;
    Context context;
    Boolean tenemosConexion=false;

    public RecordarPasswordPresenterImplement(RecordarPasswordView recordarPasswordView, Context context){
        this.recordarPasswordView = recordarPasswordView;
        this.context = context;
        onCreate(recordarPasswordView, context);
    }

    @Override
    public void onCreate(RecordarPasswordView recordarPasswordView, Context context) {
        this.recordarPasswordView = recordarPasswordView;
        this.context = context;
    }

    @Override
    public void onDestroy() {
        recordarPasswordView = null;
    }

    @Override
    public String prepararDatosEmail() {


        return null;
    }

    @Override
    public void mostrarToast(String mensaje) {

    }

    @Override
    public String crearClaveAleatoria() {

        //Creamos una clave aleatoria
        Random generator = new Random();
        String[] valores = {"a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","1","2","3","4","5","6","7","8","9","0"};
        int longitud = valores.length;
        int nuevaLongitud = 6;
        String auxChar;
        String clave="";
        for(int i=0;i<nuevaLongitud;i++){
            auxChar = valores[generator.nextInt(longitud)];
            clave += auxChar;
        }

        return clave.toString();
    }

    @Override
    public Boolean comprobarConexion() {

        try {
            tenemosConexion = CheckConexionInternet.tenemosConexion(context);
        } catch (MalformedURLException e) {
            e.printStackTrace();
        }

        return tenemosConexion;
    }
}
