package com.uoc.christian.bttroute.RegistroActividad;

import android.location.Criteria;
import android.location.Location;

import org.osmdroid.util.GeoPoint;
import org.osmdroid.views.overlay.PathOverlay;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Christian on 14/10/2017.
 */

public interface RegistroActividadPresenter {
    void onCreate(RegistroActividadView registroActividadView, ArrayList<GeoPoint> list);
    void onDestroy();
    void guardarCoordenadasTemp(GeoPoint point);
    void guardarAltitud(Integer altitud);
    ArrayList<GeoPoint> getCoordenadas();
    void setDistancia(float distancia);
    void calcularDistancia(Location location);
    String codificarGeopoints(List<GeoPoint> list);
    void guardarVelocidadMaxima(double velocidad);
    float getVelocidadMaxima();
    Integer getDesnivelPositivo();
    Integer getDesnivelNegativo();
    Integer getDesnivelAcumulado();
    void separarDesniveles();
    void calcularVelocidadMedia(Location location, int tiempo);
    float calcularGrados(Location location);
    Criteria getCriteria();
    int getTiempoEnSegundos(String tiempo);
}
