package com.uoc.christian.bttroute.RutasServidorBusqueda;

import android.content.Context;

import com.example.christian.myapplication.backend.rutaApi.model.Ruta;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by christian on 21/11/17.
 */

public interface RutasServidorPresenter {
    void onCreate(Context context);
    void onDestroy();
    void setListaRutasServidor(List<Ruta> rutas);
    void setLocationUsuario(double latitude, double longitude);
    List<Ruta> getRutasServidor();
    double getLatitud();
    double getLongitude();
    boolean getIsFiltroAplicados();
    Boolean comprobarConexion();
}
